# Contributing to BUDA Framework
Welcome to BUDA Framework project! We appreciate your interest in contributing. By contributing to this project, you are helping to improve and grow the framework for the benefit of the community.

## Getting Started
Before you start contributing, please make sure you have the following prerequisites installed:

Python 3.11+
Additionally, ensure that you have Git installed on your local machine to clone the repository and manage version control.

## How to Contribute
To contribute to the BUDA Framework, follow these steps:

1. Fork the Repository: Click the "Fork" button in the top-right corner of the repository's page on GitHub to create your copy of the repository.

2. Clone the Repository: Clone your forked repository to your local machine using the following command:

```bash
git clone https://github.com/Base4Security/BUDA.git
```
3. Create a New Branch: Create a new branch for your changes. Choose a descriptive name that summarizes your contribution. Use the following command to create a new branch:

```bash
git checkout -b feature/new-feature
```
Replace feature/new-feature with the name of your branch.

4. Make Changes: Make your desired changes to the codebase. Ensure that your changes adhere to the project's coding style and guidelines.

5. Test Your Changes: Before committing your changes, test them thoroughly to ensure they work as expected and do not introduce any regressions.

6. Commit Your Changes: Once you are satisfied with your changes, commit them to your local repository using the following commands:

```bash
git add .
git commit -m "Add a descriptive commit message"
```

7. Push Changes: Push your changes to your forked repository on GitHub:

```bash
git push origin feature/new-feature
```
8. Submit a Pull Request (PR): Open a pull request from your forked repository to the main repository's master branch. Provide a clear and descriptive title and description for your pull request, explaining the purpose of your changes.

9. Review and Address Feedback: Collaborate with project maintainers to review and address any feedback or suggestions provided on your pull request. Make necessary revisions based on the feedback received.

10. Merge Pull Request: Once your pull request has been reviewed and approved, it will be merged into the main repository. Congratulations on your contribution!

## Code Style and Guidelines
Please ensure that your code adheres to the following guidelines:

- Follow PEP 8 style guide for Python code.
- Use meaningful variable names and comments to improve code readability.
- Write clear and concise commit messages.
- Ensure that your code is well-documented, including docstrings for functions and classes.

## Reporting Issues
If you encounter any bugs, issues, or have suggestions for improvements, please create an issue on GitHub. Provide detailed information about the problem you encountered and steps to reproduce it, if applicable.

Thank you for your interest in contributing to BUDA Framework project. Your contributions are highly valued and help make the framework better for everyone. We look forward to your contributions!